import { Layout } from 'antd';
import { Outlet } from 'react-router-dom';
import { MainHeader } from './MainHeader';
import { MainFooter } from './MainFooter';

const { Content } = Layout;

export function MainLayout() {
    return (
        <Layout className="min-h-screen">

            <MainHeader />
            <Content className="mt-16 bg-gray-50">
                <Outlet />
            </Content>
            <MainFooter />
        </Layout>
    );
}